/*
 * JPA2 entity template for JEE6
 *
 *
 * Takatuka - Template fuer JPA JEE6
 *
 * Moeglichkeiten und Einschraenkungen:
 * - Beziehungen werden abgebildet
 * -- es gibt keine 1:1 Beziehungen
 * -- N:M Beziehungen sind immer bidirektional
 * - Vererbung wird nicht unterstuetzt
 */

package de.ivu.elect.business.email.entity;

public interface EmailVorgangBase extends 
de.ivu.elect.jee.entity.Entity<EmailVorgangPK, EmailVorgangUK>
{

  
  /**
   * getter for primary key wrapper EMAIL_VORGANG.email_vorgang_id
   *
   * @return
   */
  @Override
  EmailVorgangPK getPk();
    

  /**
   * ATTRIBUTE
   */

    

  /**
   * 
   *
   * getter for EMAIL_VORGANG.BENUTZERKENNUNG
   *
   */
  java.lang.String getBenutzerkennung();

  /**
   * 
   *
   * setter for EMAIL_VORGANG.BENUTZERKENNUNG
   *
   * @param benutzerkennung
   */
  void setBenutzerkennung(java.lang.String benutzerkennung);
      

  /**
   * 
   *
   * getter for EMAIL_VORGANG.BETREFF
   *
   */
  java.lang.String getBetreff();

  /**
   * 
   *
   * setter for EMAIL_VORGANG.BETREFF
   *
   * @param betreff
   */
  void setBetreff(java.lang.String betreff);
      

  /**
   * 
   *
   * getter for EMAIL_VORGANG.ERSTELLUNGSZEITPUNKT
   *
   */
  java.util.Date getErstellungszeitpunkt();

  /**
   * 
   *
   * setter for EMAIL_VORGANG.ERSTELLUNGSZEITPUNKT
   *
   * @param erstellungszeitpunkt
   */
  void setErstellungszeitpunkt(java.util.Date erstellungszeitpunkt);
      

  /**
   * 
   *
   * getter for EMAIL_VORGANG.INHALT
   *
     * (LAZY LOADING)
   */
  java.lang.String getInhalt();

  /**
   * 
   *
   * setter for EMAIL_VORGANG.INHALT
   *
   * @param inhalt
   */
  void setInhalt(java.lang.String inhalt);
      

  /**
   * 
   *
   * getter for EMAIL_VORGANG.STATUS
   *
   */
  de.ivu.elect.business.email.entity.EmailVorgangStatusType getStatus();

  /**
   * 
   *
   * setter for EMAIL_VORGANG.STATUS
   *
   * @param status
   */
  void setStatus(de.ivu.elect.business.email.entity.EmailVorgangStatusType status);
      

  /**
   * 
   *
   * getter for EMAIL_VORGANG.TYP
   *
   */
  de.ivu.elect.business.email.entity.EmailVorgangType getTyp();

  /**
   * 
   *
   * setter for EMAIL_VORGANG.TYP
   *
   * @param typ
   */
  void setTyp(de.ivu.elect.business.email.entity.EmailVorgangType typ);
  
/**
 * Beziehungen N:1 unidirektional
 */

  /**
   * 
   */
  void setEmailLayout(de.ivu.elect.business.email.entity.EmailLayout emailLayout);

  /**
   * 
   */
  de.ivu.elect.business.email.entity.EmailLayout getEmailLayout();



  /**
   * 
   */
  void setEmailVorlage(de.ivu.elect.business.email.entity.EmailVorlage emailVorlage);

  /**
   * 
   */
  de.ivu.elect.business.email.entity.EmailVorlage getEmailVorlage();



  /**
   * 
   */
  void setWahltermin(de.ivu.elect.business.wahl.entity.Wahltermin wahltermin);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahltermin getWahltermin();



  /**
   * 
   */
  void setWahl(de.ivu.elect.business.wahl.entity.Wahl wahl);

  /**
   * 
   */
  de.ivu.elect.business.wahl.entity.Wahl getWahl();



/**
 * Beziehungen N:1 bidirektional
 */


/**
 * Beziehungen 1:N unidirektional (nicht unterstuetzt)
   */

/**
 * Beziehungen 1:N bidirektional
   */

/**
 * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

/**
 * Beziehungen N:M bidirektional selbstreferenzierend
   */
}
